javax.enterprise.concurrent

## Interface LastExecution

-     public interface LastExecution

  Contains information about the last execution of a task. This is used by the methods in the `Trigger` class to determine the next scheduled timeout or whether a run should be skipped.
  Since:
    1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIdentityName()` The name or ID of the identifiable object, as specified in the `ManagedTask.IDENTITY_NAME` execution property of the task if it also implements the `ManagedTask` interface.
    `Object` | `getResult()` Result of the last execution.
    `Date` | `getRunEnd()` The last time in which the task was completed.
    `Date` | `getRunStart()` The last time in which the task started running.
    `Date` | `getScheduledStart()` The last time in which task was scheduled to run.

- - ### Method Detail

    - #### getIdentityName

          String getIdentityName()

      The name or ID of the identifiable object, as specified in the `ManagedTask.IDENTITY_NAME` execution property of the task if it also implements the `ManagedTask` interface.
      Returns:
        the name or ID of the identifiable object.

    - #### getResult

          Object getResult()

      Result of the last execution.
      Returns:
        The result of the last execution. It could return null if the last execution did not complete, or the result of the task was null.

    - #### getScheduledStart

          Date getScheduledStart()

      The last time in which task was scheduled to run.
      Returns:
        The last date/time in which the task was scheduled to run.

    - #### getRunStart

          Date getRunStart()

      The last time in which the task started running.
      Returns:
        the last date/time in which the task started running, or null if the task was canceled before it was started.

    - #### getRunEnd

          Date getRunEnd()

      The last time in which the task was completed.
      Returns:
        the last date/time in which the task was completed, or null if the task was canceled before it was completed.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.